[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLScript.Defines

Defined macros

## Declaration

Source position: sqldb.pp line 750

`published property TSQLScript.Defines;`

## Description

Defines contains the list of defined macros for use with the TSQLScript.UseDefines property. Each line should contain a macro name. The names of the macros are case insensitive. The #DEFINE and #UNDEFINE directives will add or remove macro names from this list.

## See also

TSQLScript.UseDefines |  | Automatically handle pre-processor defines